import { store } from "@/store";
import { defineStore } from "pinia";

export const useCommonStore = defineStore("commonStore", {
  state: () => ({
    // 弹出公共Table的弹窗
    isShowTable: false,
    tableType: 1,
    tableTitle: "",
    //   菜单切换
    currentMenuIndex: 0, // 当前选中的菜单索引
    pageSize: 9, // 首页每页显示的条数

    currentProjectId: "", //在首页点击某一项的配置工程的时候使用
    currentTestItemId: "", //选择的测试项目

    currentExecutionId: "", // 当前在测试执行的工程id
  }),
  persist: true,
});

export function useCommonStoreHook() {
  return useCommonStore(store);
}
